#####################################
### someone's ansible provisioner ###
#####################################
# Part of: https://git.somenet.org/root/pub/somesible.git
# 2017-2025 by someone <someone@somenet.org>
#
---
- name: copy/overwrite sysctl.conf
  copy:
    src: "{{item}}"
    dest: "/etc/sysctl.conf"
  with_first_found:
    - "{{lookup('env','PWD')}}/host_files/{{inventory_hostname}}/{{role_name}}/sysctl.conf"
    - "{{lookup('env','PWD')}}/group_files/{{group_files_group}}/{{role_name}}/sysctl.conf"
    - "{{lookup('env','PWD')}}/group_files/all/{{role_name}}/sysctl.conf"
    - "default/sysctl.conf"
  notify: reload sysctl settings
